Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccUtopiaStatus Struct Reference [IXP425 ATM Driver Access (IxAtmdAcc) Utopia Control API] Utopia status. More...
## Data Fields
unsigned int | utTxCellCount
| count of cells transmitted
unsigned int | utTxIdleCellCount
| count of idle cells transmitted
IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_ | utTxCellConditionStatus
| Tx cells condition status.
unsigned int | utRxCellCount
| count of cell received
unsigned int | utRxIdleCellCount
| count of idle cell received
unsigned int | utRxInvalidHECount
| count of invalid cell received because of HEC errors
unsigned int | utRxInvalidParCount
| count of invalid cell received because of parity errors
unsigned int | utRxInvalidSizeCount
| count of invalid cell received because of cell size errors
IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_ | utRxCellConditionStatus
| Rx cells condition status.
## Detailed Description Utopia status. This structure is used to set/get the Utopia status parameters contains debug cell counters, to be accessed during a read operation Note: - the exact description of all parameters is done in the Utopia reference documents. Definition at line 1711 of file IxAtmdAccCtrl.h. ## Field Documentation
struct IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_ IxAtmdAccUtopiaStatus::utRxCellConditionStatus
| Rx cells condition status.
unsigned int IxAtmdAccUtopiaStatus::utRxCellCount
| count of cell received Definition at line 1752 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::utRxIdleCellCount
| count of idle cell received Definition at line 1753 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::utRxInvalidHECount
| count of invalid cell received because of HEC errors Definition at line 1754 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::utRxInvalidParCount
| count of invalid cell received because of parity errors Definition at line 1757 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::utRxInvalidSizeCount
| count of invalid cell received because of cell size errors Definition at line 1760 of file IxAtmdAccCtrl.h.
struct IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_ IxAtmdAccUtopiaStatus::utTxCellConditionStatus
| Tx cells condition status.
unsigned int IxAtmdAccUtopiaStatus::utTxCellCount
| count of cells transmitted Definition at line 1714 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::utTxIdleCellCount
| count of idle cells transmitted Definition at line 1716 of file IxAtmdAccCtrl.h.
The documentation for this struct was generated from the following file: IxAtmdAccCtrl.h
Automatically generated from sources. © Intel Corp. 2003